﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProjectOverviewControl.ascx.cs" Inherits="LanguageWire.Connectors.EpiServer.ModalWindows.ShowProjects.ProjectOverviewControl, LanguageWire.Connectors.EpiServer" %>
<%@ Assembly Name="LanguageWire.Connectors.Core" %>
<%@ Import Namespace="LanguageWire.Connectors.Core.Project" %>
<%@ Import Namespace="LanguageWire.Connectors.EpiServer.Business.FrontEndTranslation" %>

<div class="col-xs-12">
    <div class="panel panel-default">
        <div class="panel-heading"><%= Heading %></div>
        <div class="panel-body" style="min-height: 420px;">
            <table id="table"
                data-toggle="table"
                data-url="<%= ServiceName  %>"
                data-pagination="true"
                data-side-pagination="server"
                data-page-list="[1, 5, 10, 20, 50, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000]"
                data-search="true"
                data-striped="false"
                data-method="get"
                data-page-size ="5"
                data-response-handler="responseHandler"
                data-sort-name="Created"
                data-sort-order="desc"
                data-show-refresh="true">
                <thead>
                    <tr>
                        <th data-field="EpiProjectId" data-formatter="runningFormatter" data-events="toggleEvents" data-align="center"></th>
                        <th data-field="LwProjectId" data-formatter="AgitoProjectIdFormatter" data-sortable="true" data-align="right"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thProjectId") %></th>
                        <th data-field="StatusDescription" data-sortable="true" data-formatter="statusFormatter"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thStatus") %></th>
                        <th data-field="ProjectName" data-sortable="true"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thProject") %></th>
                        <th data-field="CreatedBy" data-sortable="true"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thCreatedBy") %></th>
                        <th data-field="WordCount" data-sortable="true" data-align="right"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thWordCount") %></th>
                        <th data-field="Created" data-sortable="true"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "thCreatedDate") %></th>
                        <th data-field="AgitoUrl" data-formatter="AgitoLinkFormatter" data-align="right"></th>
                    </tr>
                </thead>
            </table>
            <script id="AssignmentTmpl" type="text/x-jsrender">
                <tr style="height: 28px; background-color: #f9f9f9">
                    <td class="col-xs-1">{{>StatusDescription}}
                        {{if StatusName == '<%= AssignmentStatus.Error.ToString() %>'}}
                            <a href="#" style="color: red;" data-toggle="popover" data-placement="top" data-trigger="focus" data-content="{{>Error}}">
                                <span class="glyphicon glyphicon-info-sign"></span>
                            </a>
                            <a href="#" onclick="supportDialog('{{>~projectId}}');return false;" style="color: red;">
                                <span class="glyphicon glyphicon-envelope"></span>
                            </a>
                        {{/if}}
                    </td>
                    <td class="col-xs-5">{{>SourceLanguage}}</td>
                    <td class="col-xs-5">{{>TargetLanguage}}</td>
                    <td class="col-xs-1" style="border-left: none;"></td>
                </tr>
                {^{for Documents ~assignmentId=AgitoId ~targetLanguageName=TargetLanguageName}}
                    <tr>
                        <td class="col-xs-1 statusName">
                            {{>StatusDescription}}
                            {{if StatusName == '<%= TranslatedItemStatus.Exception.ToString() %>'}}
                                <a href="#" style="color: red;" data-toggle="popover" data-placement="top" data-trigger="focus" data-content="{{>Exception}}">
                                    <span class="glyphicon glyphicon-info-sign"></span>
                                </a>
                            {{/if}}
                        </td>
                        <td class="col-xs-5 itemPathColumn">
                            <a target="_blank" href="{{>ItemPath}}" >
                                <p class="itemPath" title="{{>ItemPath}}">
                                    {{>ItemPath}}
                                </p>
                            </a>
                        </td>
                        <td class="cols-xs-5 itemPathColumn">
                            {{if StatusName == '<%= TranslatedItemStatus.Imported.ToString() %>' || StatusName == '<%= TranslatedItemStatus.Reimported.ToString() %>'}}
                                <a target="_blank" href="{{>TranslatedItemPath}}">
                                    <p class="itemPath" title="{{>ItemPath}}">
                                        {{>TranslatedItemPath}}
                                    </p>
                                </a>
                            {{/if}}
                        </td>
                        <td class="col-xs-1" style="text-align: right;">
                            {{if StatusName == '<%= TranslatedItemStatus.Imported.ToString() %>' 
                                    || StatusName == '<%= TranslatedItemStatus.Reimported.ToString() %>'
                                    || StatusName == '<%= TranslatedItemStatus.Exception.ToString() %>'}}
                                <input type="submit" style="height: 24px;" class="btn btn-default btn-sm" onclick="SetReimportStatus(this, '{{>~assignmentId}}', '{{>DocumentId}}', '{{>~projectId}}', '{{>~targetLanguageName}}'); return false;"
                                    id="btnClose" value="<%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "reimportBtn") %>" name="btnReimport"
                                    {{if ~targetLanguageName == null}}disabled{{/if}}>
                            {{/if}}
                        </td>
                    </tr>
                {{/for}}
            </script>
            <script>
                $j().ready(function () {
                    $j('#table').on('post-body.bs.table', function () {
                        expandAssignments();
                        attachPopover();
                    });
                });

                $j.templates("AssignmentTmpl", {
                    markup: "#AssignmentTmpl"
                });

                // Eventhandler for row toggle
                window.toggleEvents = {
                    'click .toggle-row': function () {
                        toggleRow(this); // "this" should be the anchor element
                    }
                };

                function AgitoLinkFormatter(value, row) {
                    
                    if (row.StatusName === '<%= TemporaryProjectStatus.Failed.ToString() %>') {
                        var retval = ' <a href="javascript:void(0)" style="color:red;" data-toggle="popover" data-placement="top" data-trigger="focus" data-content="' + row.Exception + '"><span class="glyphicon glyphicon-info-sign"></span></a>';
                        retval += ' <a href="#" onclick="supportDialog(\'' + row.EpiProjectId + '\');return false;" style="color:red;"><span class="glyphicon glyphicon-envelope"></span></a>';
                        retval += ' <a href="#" onclick="retryProjectCreation(\'' + row.EpiProjectId + '\');return false;"><span class="glyphicon glyphicon-refresh"></span></a>';
                        return retval;
                    }
                    return value ? '<a href="' + value + '" target="_blank"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowProjects, "btnGotoAgito") %></button>' : "";
                };
            </script>
        </div>
    </div>
</div>