﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ShowTransaction.aspx.cs" Inherits="LanguageWire.Connectors.EpiServer.ModalWindows.ShowTransaction, LanguageWire.Connectors.EpiServer" Async="true" %>

<%@ Assembly Name="LanguageWire.Connectors.Core" %>
<%@ Import Namespace="LanguageWire.Connectors.Core" %>
<%@ Import Namespace="LanguageWire.Connectors.EpiServer.Business.FrontEndTranslation" %>
<%@ Register Src="Components/Head.ascx" TagPrefix="uc1" TagName="Head" %>
<%@ Register Src="Components/Header.ascx" TagPrefix="uc1" TagName="Header" %>

<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <uc1:Head runat="server" ID="Head" />
    <link href="Assets/css/show-transaction.css" rel="stylesheet" />
    <script src="Assets/js/show-transaction.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <uc1:Header runat="server" ID="Header" />
        <div class="container">
            <div class="row">&nbsp;</div>
            <div class="row" id="noOfItemsValidateResultDiv">
                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div id="noOfItemsValidateResult" style="margin-bottom: 0;" class="alert alert-danger"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row" runat="server" id="step2">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="col-xs-5 showTransaction-tree" id="tree">
                        </div>
                        <div class="col-xs-7 showTransaction-content" id="divConfirmTransaction">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row buttonRow">
                <div class="col-xs-12">
                    <div class="panel panel-default" style="margin-bottom: 0;">
                        <div class="panel-body" style="padding: 6px;">
                            <div class="col-xs-1 col-xs-offset-10" style="padding-right: 5px">
                                <input type="button" id="btnOk" class="form-control btn btn-success" onclick="okOnClick();" value="<%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "okButton") %>" />
                                <div style="display: none;">
                                    <asp:Button ID="btnOkHidden" ClientIDMode="Static" runat="server" OnClick="OnAddCloseWindow" />
                                </div>
                            </div>
                            <div class="col-xs-1" style="padding-left: 5px">
                                <input type="button" id="btnCancel" class="form-control btn btn-default" onclick="onCancelClick();" value="<%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "cancelButton") %>" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script id="ViewDocumentInfoTmpl" type="text/x-jsrender">
        {^{if valid === true && validationStatus !== ~validationErrors.noTranslatableContent && ~selected === true}}
        <div class="row">
            <div class="col-xs-12">
                <div class="alert alert-success" role="alert">
                    <span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                    <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "succesfullyAddedHeader") %></span>
                    <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "succesfullyAddedHeader") %>
                </div>
            </div>
        </div>
        {{else validationStatus === ~validationErrors.noTranslatableContent && ~selected === true}}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-success" role="alert">
                     <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                     <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "noTranslatableContentHeader") %></span>
                     <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "noTranslatableContentHeader") %>
                 </div>
             </div>
         </div>
        {{else (validationStatus === ~validationErrors.duplicatedItem) || (validationStatus === ~validationErrors.duplicatedMultirelational) }}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-danger" role="alert">
                     <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                     <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "hasDuplicateHeader") %></span>
                     <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "hasDuplicateHeader") %>
                 </div>
             </div>
         </div>
        {{else validationStatus === ~validationErrors.disallowedByConfiguration }}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-danger" role="alert">
                     <span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                     <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "disallowedByConfigurationHeader") %></span>
                     <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "disallowedByConfigurationHeader") %>
                 </div>
             </div>
         </div>
        {{else validationResult.errorCode == <%=(int)CmsValidationErrorCode.IsExternalContent %>}}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-danger" role="alert">
                     <span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                     <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "isExternalContentHeader") %></span>
                     <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "isExternalContentHeader") %>
                 </div>
             </div>
         </div>
        {{else ~selected == false}}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-info" role="alert">
                     <span class="glyphicon" style="height: 11px; width: 11px;"></span>
                     <span class="sr-only"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "willNotBeAddedHeader") %></span>
                     <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "willNotBeAddedHeader") %>
                 </div>
             </div>
         </div>
        {{else}}
         <div class="row">
             <div class="col-xs-12">
                 <div class="alert alert-danger" role="alert">
                     <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                     <span class="sr-only"><a href="#"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "error") %></a></span>
                     {{>validationResult.errorMessage}}
                 </div>
             </div>
         </div>
        {{/if}}
    <div class="row form-horizontal">
        <div class="col-xs-12">
            <div class="panel panel-default" style="margin-bottom: 0">
                <div class="panel-body" style="height: 376px">
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "itemName") %></label>
                    <div class="col-sm-9">
                        <p class="form-control-static overlappedText" title="{{>name}}">{{>name}}</p>
                    </div>
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "itemIdItem") %></label>
                    <div class="col-sm-9">
                        <p class="form-control-static">{{>id.id}}</p>
                    </div>
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "itemPath") %></label>
                    <div class="col-sm-9">
                        <p class="form-control-static overlappedText" title="{{>path}}">{{>path}}</p>
                    </div>
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "itemVersion") %></label>
                    <div class="col-sm-9">
                        <p class="form-control-static">{{>version}}</p>
                    </div>
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "itemLanguage") %></label>
                    <div class="col-sm-9">
                        <p class="form-control-static">{{>language}}</p>
                    </div>
                    <label class="col-sm-3 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "includedProperties") %></label>
                    <div class="col-sm-9">
                        <ul class="form-control-static no-indentation">
                            {{for fields tmpl="frameTmpl"/}}
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </script>
    <script id="defaultviewTmpl" type="text/x-jsrender">
        <div class="row">
            <div class="col-xs-12">
                <div class="panel panel-default" style="margin-bottom: 0">
                    <div class="panel-heading">
                        <h3 class="panel-title"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "defaultViewHeader") %></h3>
                    </div>
                    <div class="panel-body" style="height: 397px">
                        <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "defaultViewBody") %>
                    </div>
                </div>
            </div>
        </div>
    </script>
    <script id="emptyBasketViewTmpl" type="text/x-jsrender">
        <div class="row">
            <div class="col-xs-12">
                <div class="panel panel-default" style="margin-bottom: 0">
                    <div class="panel-heading">
                        <h3 class="panel-title"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "emptyBasketHeader") %></h3>
                    </div>
                    <div class="panel-body" style="height: 397px">
                        <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "emptyBasketBody") %>
                    </div>
                </div>
            </div>
        </div>
    </script>
    <script id="frameTmpl" type="text/x-jsrender">
        <li class="overlappedText" title="{{>#data}}">{{>#data}}</li>
    </script>
    <script>
        $j().ready(function() {
            initializeModalWindow();
        });

        window.validationErrors = {
            duplicatedMultirelational : <%=(int)CmsValidationErrorCode.DuplicatedMultirelationalItem%>,
            noTranslatableContent : <%=(int)CmsValidationErrorCode.NoTranslatableContent%>,
            duplicatedItem: <%=(int)CmsValidationErrorCode.DuplicatedItem %>,
            disallowedByConfiguration: <%=(int)CmsValidationErrorCode.DisallowedByConfiguration %>
            };

        window.maxNoOfItems = <%= BasketLimit %>;
        window.alreadyAdded = <%= AlreadyAdded %>;

        window.temporaryBasketTranslatedStrings = {
            tooManyItemsInBasket:
                '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "tooManyItemsInBasket") %>',
            updatingButton: '<%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowTransaction, "updatingButton") %>'
        };

        window.okButtonId = "<%= btnOkHidden.ID %>";

        $j.templates("ViewDocumentInfoTmpl", {
            markup: "#ViewDocumentInfoTmpl",
            templates: {
                frameTmpl: "#frameTmpl"
            }
        });

        $j.templates("defaultviewTmpl", {
            markup: "#defaultviewTmpl"
        });

        $j.templates("emptyBasketViewTmpl", {
            markup: "#emptyBasketViewTmpl"
        });
    </script>
</body>
</html>
