﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Admin.aspx.cs" Inherits="LanguageWire.Connectors.EpiServer.Pages.Admin, LanguageWire.Connectors.EpiServer" %>
<%@ Register Src="UserControls/CheckBoxList.ascx" TagPrefix="uc" TagName="CbList" %>
<%@ Import Namespace="LanguageWire.Connectors.EpiServer.Business.FrontEndTranslation" %>

<asp:content id="FullRegion" contentplaceholderid="FullRegion" runat="server">
        <table cellpadding="0" cellspacing="0" border="0" style="height: 100%; width: 100%; border-collapse: collapse;">
        <tr>
        <td>
            <!-- Actual page content starts here -->
            <div class="container">
                 <script type="text/javascript">
                    // Use a newer version of jquery
                     var $j = jQuery.noConflict();
                </script>
                
                <div>
                    <ul id="tabs" class="nav nav-tabs" data-tabs="tabs">
                        <li class="active"><a href="#connection" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "connection") %></a></li>
                        <li><a href="#global" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "globalSettings") %></a></li>
                        <li><a href="#property" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "propertySettings") %></a></li>
                        <li><a href="#workareas" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "workAreas") %></a></li>
                        <li><a href="#invoicingaccounts" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "invoicingAccounts") %></a></li>
                        <li><a href="#terminologies" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "terminologies") %></a></li>
                        <li><a href="#products" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "products") %></a></li>
                        <li><a href="#cultures" data-toggle="tab"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "cultures") %></a></li>                    
                    </ul>
                    <div id="my-tab-content" class="tab-content">
                        <div class="tab-pane active" id="connection">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"connection") %></h2>
                            <table class="table table-condensed" style="width: 60%;">
                                <tr>
                                    <td style="padding-right: 10px; width: 30%;">
                                        <label for="tbConnectionKey"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"key") %></label>
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="tbConnectionKey" placeholder="Enter AGITO key" style="width: 300px; padding: 2px 5px"/>
                                    </td>
                                    <td>
                                        <asp:CustomValidator ID="keyValidator" runat=server controltovalidate="tbConnectionKey" OnServerValidate="Validate_Key" ValidateEmptyText="true" Enabled="True" SetFocusOnError="True" Display="Dynamic"/>
                                    </td>

                                <tr>
                                    <td style="padding-right: 10px;">
                                        <label for="tbConnectionEndpoint"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"endpoint") %></label>
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="tbConnectionEndpoint" ClientIDMode="Static" placeholder="Enter AGITO endpoint" style="width: 300px; padding: 2px 5px"/>
                                        <asp:CustomValidator ID="endpointValidator" runat=server controltovalidate="tbConnectionEndpoint" OnServerValidate="Validate_Endpoint" ValidateEmptyText="true" Enabled="True" SetFocusOnError="True" Display="Dynamic"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-right: 10px;">
                                        <label for="cbConnectionDemo"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"demoMode") %></label>
                                    </td>
                                    <td><asp:CheckBox runat="server" ID="cbConnectionDemo"  ClientIDMode="Static"/></td>
                                </tr>
                            </table>
                            <div>
                                    <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin, "connectorVersion") %>: <%= ConnectorVersion %>
                            </div>
                        </div>
                        <div class="tab-pane" id="global">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"globalSettings") %></h2>
                            <table class="table table-condensed" style="width: 60%;">
                                <tr>
                                    <td style="padding-right: 10px; width: 30%;">
                                        <label for="tbProjectNamePrefix"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"projectTitlePrefix") %></label>
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="tbProjectNamePrefix" CssClass="form-control" ClientIDMode="Static" style="width: 300px; padding: 2px 5px;" placeholder="Enter prefix for name on all projects"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-right: 10px; width: 30%;">
                                        <label for="tbMaxBasketItemsNumber"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"maxBasketItemsNumber") %></label>
                                    </td>
                                    <td>
                                        <asp:TextBox runat="server" ID="tbMaxBasketItemsNumber" CssClass="form-control" ClientIDMode="Static" style="width: 300px; padding: 2px 5px;" placeholder="Enter prefix for name on all projects"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="tab-pane" id="property">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"propertySettings") %></h2>
                            <div>
                                <uc:CbList runat="server" ID="PageTypesCbl"/>
                                <uc:CbList runat="server" ID="BlockTypesCbl"/>
                                <uc:CbList runat="server" ID="PropertiesCbl"/>
                                <uc:CbList runat="server" ID="MetadataPropertyList"/>
                            </div>
                        </div>
                        <div class="tab-pane" id="workareas">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"workAreas") %></h2>
                            <uc:CbList runat="server" ID="WorkAreasCbl" DisplayRadioButtons="True"/>
                        </div>
                        <div class="tab-pane" id="invoicingaccounts">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"invoicingAccounts") %></h2>
                            <uc:CbList runat="server" ID="InvoicingAccountsCbl" DisplayRadioButtons="True"/>
                        </div>
                        <div class="tab-pane" id="terminologies">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"terminologies") %></h2>
                            <uc:CbList runat="server" ID="TerminologiesCbl" DisplayRadioButtons="True"/>
                        </div>
                        <div class="tab-pane" id="products">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"products") %></h2>
                            <uc:CbList runat="server" ID="ProductsCbl" DisplayRadioButtons="True"/>
                        </div>
                        <div class="tab-pane" id="cultures">
                            <h2><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"cultures") %></h2>
                            <div>
                                <table class="table table-condensed" style="width: 60%">
                                    <tr>
                                        <th style="padding-right: 10px; padding-bottom: 5px;">
                                            <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"epiServerLanguage") %>
                                        </th>
                                        <th style="padding-bottom: 5px;">
                                            <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.Admin,"agitoLanguage") %>
                                        </th>
                                    </tr>
                                    <asp:Repeater runat="server" ID="RptCultures" OnItemDataBound="RptCultures_OnItemDataBound">
                                        <ItemTemplate>
                                            <tr>
                                                <td style="padding-right: 10px;">
                                                    <asp:Label runat="server" Id="LblName"></asp:Label>
                                                </td>
                                                <td><asp:DropDownList runat="server" ID="DdlAgitoLanguage" OnDataBinding="DdlAgitoLanguage_OnDataBinding"/></td>
                                                <td style="display: none;"><asp:Label runat="server" Id="LblId"></asp:Label></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div style="margin-top: 20px;">
                        <asp:Button runat="server" ID="SaveBtn" OnClick="SaveBtn_OnClick"/>
                    </div>
                </div>
                <asp:HiddenField ID="CurrentTab" runat="server" />
                <script type="text/javascript">
                    // Init tabs
                    $j(document).ready(function () {
                        $j('#tabs').tab();

                        // Load saved tab on post back
                        var tabName = $j("[id*=CurrentTab]").val() != "" ? $j("[id*=CurrentTab]").val() : "";
                        if (tabName) {
                            $j('#tabs a[href="#' + tabName + '"]').tab('show');
                        }

                        // Store tab to be loaded on postback
                        $j("#tabs a").click(function() {
                            $j("[id*=CurrentTab]").val($j(this).attr("href").replace("#", ""));
                        });

                        // Javascript to enable link to tab
                        var hash = document.location.hash;
                        var prefix = "tab_";
                        if (hash) {
                            $j('.nav-tabs a[href=' + hash.replace(prefix, "") + ']').tab('show');
                        }
                        
                        //// Change hash for page-reload
                        $j('.nav-tabs a').on('shown.bs.tab', function (e) {
                            window.location.hash = e.target.hash.replace("#", "#" + prefix);
                        });
                    });
                </script> 
            </div>
        </td>
        </tr>
    </table>
    
</asp:content>
