﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CheckBoxList.ascx.cs" Inherits="LanguageWire.Connectors.EpiServer.Pages.UserControls.CheckBoxList, LanguageWire.Connectors.EpiServer" %>
<%@ Register TagPrefix="rr" Namespace="LanguageWire.Connectors.EpiServer.Pages.Components" Assembly="LanguageWire.Connectors.EpiServer" %>

<div id="<%= ClientID %>">
    <h3>
        <%= HeaderText %>
    </h3>

    <asp:ListView runat="server" ID="CheckboxListView" OnItemDataBound="CheckboxlListView_OnDataBound">
        <LayoutTemplate>
            <table runat="server" id="checkboxTable" class="table table-condensed" style="width: 60%">
                <tr>
                    <th style="padding-right: 10px; padding-bottom: 5px; text-align: left; width: 60%">
                        <%= TextColumnHeader %>
                    </th>
                    <th  style="padding-right: 10px; text-align: center; width: 20%">
                        <%= CheckboxColumnHeader %>
                    </th>
                    <th style="padding-right: 10px; text-align: center; width: 20%">
                        <%= RadioColumnHeader %>
                    </th>
                </tr>
                <tr runat="server" id="itemPlaceholder"></tr>
            </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td style="padding-right: 10px; text-align: left; width: 60%">
                    <asp:Label runat="server" ID="LabelName"></asp:Label>
                </td>
                <td style="padding-right: 10px; text-align: center; width: 20%">
                    <asp:CheckBox runat="server" ID="CheckboxSelected"></asp:CheckBox>
                </td>
                <td style="padding-right: 10px; text-align: center; width: 20%">
                    <rr:RepeaterRadioButton runat="server" ID="RadioButton" Visible="False" GroupName="myGroup" />
                </td>
                <td style="display: none;">
                    <asp:Label runat="server" ID="LabelId"></asp:Label>
                </td>
            </tr>
        </ItemTemplate>
    </asp:ListView>
    <script type="text/javascript">
        function findFirstActiveRadioButton(tr) {
            var table = $(tr).parent();
            var firstActiveCheckbox = $(table).find(':input[type=checkbox][checked]')[0];
            if (typeof firstActiveCheckbox === 'undefined') {
                return undefined;
            }

            var firstActiveRow = $(firstActiveCheckbox).closest('tr');

            return $(firstActiveRow).find(':input[type=radio]')[0];
        }

        function onCheckBoxChanged(checkBox) {
            var isChecked = $(checkBox).children('input[type=checkbox]').attr('checked');
            var tr = $(checkBox).closest('tr');
            var radioBtn = $(tr).find(':input[type=radio]');

            if (isChecked) {
                $(radioBtn).attr('disabled', false);
            } else {
                if ($(radioBtn).attr('checked')) {
                    var activeRadioButton = findFirstActiveRadioButton(tr);
                    if (!activeRadioButton) {
                        $(radioBtn).attr('checked', false);
                    } else {
                        $(activeRadioButton).attr('checked', true);
                    }
                }
                $(radioBtn).attr('disabled', true);
            }
        }
    </script>
</div>
